<template>
  <v-text-field
    v-bind="$attrs"
    v-model="phone"
    v-mask="['(##) ####-####', '(##) #####-####']"
   /></template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'PhoneNumberInput',
  props: {
    value: { type: String, default: null }
  },
  computed: {
    phone: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
